# Components
set(CONFIG_QCC74xLOG 0)
set(CONFIG_FREERTOS 1)
set(CONFIG_POSIX 1)
set(CONFIG_TLSF 1)
set(CONFIG_SHELL 1)
set(CONFIG_LWIP 1)
set(CONFIG_WIFI6 1)
set(CONFIG_RF 1)
set(CONFIG_MBEDTLS 1)
#set(CONFIG_PSRAM_COPY_CODE 1)
set(CONFIG_DHCPD 1)
set(CONFIG_PING 1)
# set(CONFIG_MQTT 1)
set(CONFIG_NETBUS 1)
set(CONFIG_ATUART 1)
set(CONFIG_ATMOUDLE 1)
set(CONFIG_QCC74x_OTA 1)
set(CONFIG_POST_BUILDS GENERATE_LITTLEFS)

# easyflash
set(CONFIG_LITTLEFS 1)
set(CONFIG_LITTLEFS_KV_EASYFLASH 1)
set(CONFIG_QCC74x_MTD 1)
set(CONFIG_PARTITION 1)

set(CONFIG_MQTT 1)

set(CONFIG_VSNPRINTF_FLOAT      1)
set(CONFIG_VSNPRINTF_FLOAT_EX   1)
set(CONFIG_VSNPRINTF_LONG_LONG  1)

# mbedtls
set(CONFIG_MBEDTLS_AES_USE_HW 0)
set(CONFIG_MBEDTLS_BIGNUM_USE_HW 0)
set(CONFIG_MBEDTLS_ECC_USE_HW 0)
set(CONFIG_MBEDTLS_SHA1_USE_HW 0)
set(CONFIG_MBEDTLS_SHA256_USE_HW 0)
set(CONFIG_MBEDTLS_SHA512_USE_HW 0)

set(CONFIG_PS_EXTEND 1)
# wifi
set(CONFIG_VIF_MAX 2)
set(CONFIG_STA_MAX 4)

#set(CONFIG_USE_LPAPP 1)

if (CONFIG_USE_LPAPP)
    set(CONFIG_LPAPP 1)
    set(CONFIG_PM 1)
    set(CONFIG_LWIP_LP 1)
    set(CONFIG_MAC_TXQ_DEPTH 8)
    set(CONFIG_MAC_RXQ_DEPTH 12)
    set(CONFIG_DCDC_ENABLE 0)
    set(CONFIG_TICKLESS_WIFI_BLE 1)
    list(APPEND CONFIG_POST_BUILDS CONCAT_WITH_LP_FW)
else ()
    set(CONFIG_MAC_TXQ_DEPTH 16)
    set(CONFIG_MAC_RXQ_DEPTH 12) 
endif() 

if (CONFIG_BLUETOOTH_APP)
    set(CONFIG_BLUETOOTH 1)
    set(CONFIG_BTBLECONTROLLER_LIB ble1m2s1bredr1)
    set(CONFIG_DISABLE_BT_HOST_PRIVACY 1)
    set(CONFIG_DYNAMIC_GATTS 1)
    set(CONFIG_BT_SMP 1)
    set(CONFIG_BT_SETTINGS 1)
    set(CONFIG_BLE_USE_MAC2 0)
    set(CONFIG_BT_STACK_CLI 0)

    # BLE profile
    set(CONFIG_BT_BAS_SERVER 1)
    set(CONFIG_BT_IAS_SERVER 1)
    set(CONFIG_BT_DIS_SERVER 1)
    #BREDR
    set(CONFIG_BT_BREDR 1)
    set(CONFIG_BT_A2DP 0)
    set(CONFIG_BT_AVRCP 0)
    set(CONFIG_BT_HFP 0)
    set(CONFIG_BT_SPP 1)
    set(CONFIG_BT_A2DP_SOURCE 0)
endif() 
